Bug 477833 - texlive cron file appears way too broad
texlive cron file appears way too broad
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texlive (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-23 20:29 EST by Michal Jaegermann
Modified: 2013-07-02 19:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2007-46.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-15 15:12:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2008-12-23 20:29:10 EST
Description of problem:

/etc/cron.daily/texlive.cron reads like this:

#!/bin/bash
# Remove TeX fonts not used in 180 days
/usr/sbin/tmpwatch 4320 /var/lib/texmf
exit 0

The same way like an older tetex.cron.  There is a catch though.  On a tetex installation in /var/lib/texmf there were indeed only font files.  Right now there are there directories like dvipdfm, dvips, fonts, tex, web2c and inside of those many files which do not like that should be dropped after 180 days at all. For example /var/lib/texmf/tex/generic/config/pdftexconfig.tex from texlive-texmf-2007-26.fc10 package and many others.

'tmpwatch' looks only at atime and does not differentiate between files.  This cannot be correct.

Well, a default configuration shows VARTEXFONTS=/var/lib/texmf/fonts.
If the later directory would be in texlive.cron that would be more
like it.

Version-Release number of selected component (if applicable):
texlive-2007-35.fc10.x86_64
Comment 1 Michal Jaegermann 2008-12-23 20:39:25 EST
> would be more like it.

No, actually not.  A day after it was installed the whole setup is already damaged:

$ ls $(rpm -qlf  /var/lib/texmf/fonts/map/dvips/updmap | grep dvips/updmap)
ls: cannot access /var/lib/texmf/fonts/map/dvips/updmap/builtin35.map: No such file or directory
ls: cannot access /var/lib/texmf/fonts/map/dvips/updmap/download35.map: No such file or directory
ls: cannot access /var/lib/texmf/fonts/map/dvips/updmap/ps2pk.map: No such file or directory
ls: cannot access /var/lib/texmf/fonts/map/dvips/updmap/psfonts.map: No such file or directory
ls: cannot access /var/lib/texmf/fonts/map/dvips/updmap/psfonts_pk.map: No such file or directory
ls: cannot access /var/lib/texmf/fonts/map/dvips/updmap/psfonts_t1.map: No such file or directory
/var/lib/texmf/fonts/map/dvips/updmap:

and many other files from /var/lib/texmf are missing too.
Comment 2 Michal Jaegermann 2008-12-23 21:04:48 EST
$ rpm -V texlive-texmf-2007-26.fc10.noarch | grep missing

shows right away, the next day after it was installed,

missing     /var/lib/texmf/default.ls-R
missing     /var/lib/texmf/dvipdfm/config/config
missing   c /var/lib/texmf/web2c/mktex.cnf

and an older installation of texlive-texmf-2007-24.fc9.noarch adds /var/lib/texmf/tex/generic/config/pdftexconfig.tex to this list.  Other missing files appear to be of a length 0 so they may indeed not show up.  Hm, why they
are there?
Comment 3 Jindrich Novy 2009-10-15 15:12:42 EDT
This one should be fixed now as no cron job is called in the newer releases.
Comment 4 Fedora Update System 2009-11-12 21:24:18 EST
texlive-2007-46.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.